%% Intro to Image Morphing 
clear

TRUE = (1==1);
FALSE = ~TRUE;

TEST_SCRIPT = FALSE;  %% Set to true for testing path ok.

%%% Input test images and line data
im1 = pgmRead('einResize.pgm');
im2 = pgmRead('reaganResize.pgm');
load einReagLP
%showLineInterp;

figure(1); clf;
sRange =  0:0.1:1;
mv = moviein(length(sRange)); %% Initialize a Matlab movie.

for k = 1:length(sRange)
  s = sRange(k);
  ims = morphImages(im1, im2, linePairs, s);
  if any(isnan(ims(:)))
    ims(isnan(ims(:))) = 0;
  end
  displayImage(ims);
  mv(:,k) = getframe;
  pause(0.1);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%% Display Image Sequence %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Show movie cycling forward and backward 10 times, at a rate up to 30Hz.
movie(mv, -10, 30);