%% Intro to Image Morphing 
clear

TRUE = (1==1);
FALSE = ~TRUE;

TEST_SCRIPT = FALSE;  %% Set to true for testing path ok.

%%% Input test images and line data
im1 = pgmRead('einResize.pgm');
im2 = pgmRead('reaganResize.pgm');
load einReagLP


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Show images
fig1 = figure(1);
clf;
image(im1);
colormap(gray(256));
resizeImageFig(fig1, size(im1), 4);
  
fig2 = figure(2);
clf;
image(im2);
colormap(gray(256));
resizeImageFig(fig2, size(im2), 4);
  
if TEST_SCRIPT
  pause(1);
else
  fprintf(1, '\nHit any key to continue...');
  pause;
  fprintf(1, '\n');
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Show line pairs.

drawLines(fig1, linePairs(1:4,:), hsv(size(linePairs,2)), 2);

drawLines(fig2, linePairs(4+(1:4),:), hsv(size(linePairs,2)), 2);

if TEST_SCRIPT
  pause(1);
else
  fprintf(1, '\nHit any key to continue...');
  pause;
  fprintf(1, '\n');
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Show line motion.
imb = 192*ones(size(im1));

fig3 = figure(3);

while 1
  for t=0:0.1:1
    
    figure(fig3); clf;
    image(imb);
    colormap(gray(256));
    resizeImageFig(fig3, size(im1), 4);
    
    l = interpLinePairs(t, linePairs);
    drawLines(fig3, l, hsv(size(l,2)), 2);
    t
    pause;
    
  end
end
  